Subject: bug#69941: 30.0.50; Faulty fontification of radio button widgets

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Apr 2024 14:33:57 +0300

> Date: Thu, 18 Apr 2024 07:18:29 -0300
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>  Stefan Monnier <[email-masked]>
> From: Mauro Aranda <[email-masked]>
> 
>  > To fix this bug, do you have a preference between this patch for
>  > widget-specify-inactive and the attached patch for
>  > widget-default-create?  Or do you have a better fix?
>  >
>  > Steve Berman
> 
> I don't really have a better fix.  I mean, ideally, we'd find the reason
> why the setting behaves differently for the radio-button-choice widget,
> and only for the first one in a radio widget, as it seems to me. But
> I'll need more time to be able to look into that.
> 
> That said, if Eli is OK with installing a minor hack (with a FIXME,
> please), I don't have problems.  And since it's a hack (and hopefully
> temporary), it's better if we keep it at widget-default-create then.

My opinion doesn't matter much in this case.  If you two agree on a
solution, feel free to install it, even if it is not 110% clean.

Thanks.